[arch-commits] Commit in gnucash/trunk (3 files)

Balló György bgyorgy at archlinux.org
Wed May 27 18:12:45 UTC 2020


    Date: Wednesday, May 27, 2020 @ 18:12:44
  Author: bgyorgy
Revision: 635974

upgpkg: gnucash 3.10-1: Update to new version

Added:
  gnucash/trunk/06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
  gnucash/trunk/e1b014035753beb111388c8468460b0c61d816bc.diff
Modified:
  gnucash/trunk/PKGBUILD

-----------------------------------------------+
 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff |   13 +++++++++++++
 PKGBUILD                                      |   20 +++++++++++++++-----
 e1b014035753beb111388c8468460b0c61d816bc.diff |   21 +++++++++++++++++++++
 3 files changed, 49 insertions(+), 5 deletions(-)

Added: 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
===================================================================
--- 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff	                        (rev 0)
+++ 06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff	2020-05-27 18:12:44 UTC (rev 635974)
@@ -0,0 +1,13 @@
+diff --git a/libgnucash/core-utils/binreloc.c b/libgnucash/core-utils/binreloc.c
+index 6eab8907c5..2e2067e383 100644
+--- a/libgnucash/core-utils/binreloc.c
++++ b/libgnucash/core-utils/binreloc.c
+@@ -475,7 +475,7 @@ find_component_directory (const gchar *default_dir, const gchar* compiled_dir)
+     prefix = gnc_gbr_find_prefix (NULL);
+     if (prefix == NULL)
+         return g_strdup (default_dir ? default_dir : compiled_dir);
+-    if (!g_getenv("GNC_UNINSTALLE"))
++    if (!g_getenv("GNC_UNINSTALLED"))
+     {
+         if (!g_strcmp0 (prefix, PREFIX))
+             return g_strdup (compiled_dir);

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-27 17:47:55 UTC (rev 635973)
+++ PKGBUILD	2020-05-27 18:12:44 UTC (rev 635974)
@@ -4,8 +4,8 @@
 # Contributor: Mark Schneider <queueRAM at gmail.com>
 
 pkgname=gnucash
-pkgver=3.9
-pkgrel=2
+pkgver=3.10
+pkgrel=1
 pkgdesc='Personal and small-business financial-accounting application'
 arch=(x86_64)
 url='https://gnucash.org/'
@@ -17,9 +17,19 @@
             'perl-date-manip: stock information lookups'
             'perl-finance-quote: stock information lookups')
 options=(!emptydirs)
-source=(https://downloads.sourceforge.net/$pkgname/$pkgname-${pkgver}.tar.bz2)
-sha256sums=('8d02dddc7cbc9d7324f4b577825dffffb8c4c938746701407e7b04bd647eb9ff')
+source=(https://downloads.sourceforge.net/$pkgname/$pkgname-${pkgver}.tar.bz2
+        06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
+        e1b014035753beb111388c8468460b0c61d816bc.diff)
+sha256sums=('b60772c276a63639964d1e24c795fbb9a7c0c6c45959168fe5cdfe08eb796f16'
+            '9cf2660e056854be4d793d7b90c309c9fcc3c2ec0153d24c4235da813e45205c'
+            'bfb67a1e07908d6fbfa7798464d56276025a6ef8fd09a9076c029a9393abed7c')
 
+prepare() {
+  cd $pkgname-$pkgver
+  # Fix build
+  patch -Np1 -i ../06033c19cdff0abf4849ecc96e3ce0b0690fcd13.diff
+  patch -Np1 -i ../e1b014035753beb111388c8468460b0c61d816bc.diff
+}
 build() {
   cd $pkgname-$pkgver
 
@@ -36,7 +46,7 @@
 
 check() {
   cd $pkgname-$pkgver
-  make -k check || : # 2 tests failed
+  make -k check || : # 1 test failed
 }
 
 package() {

Added: e1b014035753beb111388c8468460b0c61d816bc.diff
===================================================================
--- e1b014035753beb111388c8468460b0c61d816bc.diff	                        (rev 0)
+++ e1b014035753beb111388c8468460b0c61d816bc.diff	2020-05-27 18:12:44 UTC (rev 635974)
@@ -0,0 +1,21 @@
+diff --git a/bindings/python/tests/CMakeLists.txt b/bindings/python/tests/CMakeLists.txt
+index 4e68d6d211..dca317de43 100644
+--- a/bindings/python/tests/CMakeLists.txt
++++ b/bindings/python/tests/CMakeLists.txt
+@@ -5,7 +5,7 @@ if (WITH_PYTHON)
+     # Because it hasn't been built yet
+     set(test_core_dir ${CMAKE_BINARY_DIR}/common/test-core)
+   endif()
+-  add_custom_target(test-python-bindings ALL DEPENDS unittest_support gnucash-core-c-build gnucash-core-c-py swig-app-utils-python)
++  add_custom_target(test-python-bindings ALL DEPENDS unittest_support gnucash-core-c-build gnucash-core-c-py sw_app_utils)
+   add_dependencies(check test-python-bindings)
+   add_test(python-bindings ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/runTests.py.in)
+   set_property(TEST python-bindings PROPERTY ENVIRONMENT
+@@ -21,6 +21,7 @@ set(test_python_bindings_DATA
+         test_business.py
+         test_commodity.py
+         test_numeric.py
++        test_session.py
+         test_split.py
+         test_transaction.py
+         test_query.py)


More information about the arch-commits mailing list